using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시판 검색 조건
/// </summary>
public enum BoardSearch : byte
{
    [Display(Name = "제목")]
    Subject = 0,

    [Display(Name = "내용")]
    Content = 1,

    [Display(Name = "작성자")]
    Author = 2,

    [Display(Name = "댓글")]
    Comment = 3
}